net.sf.jasperreports.web

## Class JRInteractiveRuntimeException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - net.sf.jasperreports.engine.JRRuntimeException
        - - net.sf.jasperreports.web.JRInteractiveRuntimeException

- All Implemented Interfaces:
    java.io.Serializable

      public class JRInteractiveRuntimeException
      extends JRRuntimeException

  Version:
    $Id: JRInteractiveRuntimeException.java 5880 2013-01-07 20:40:06Z teodord $
  Author:
    Narcis Marcu (narcism@users.sourceforge.net)
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class net.sf.jasperreports.engine.JRRuntimeException

      `ERROR_MESSAGES_BUNDLE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JRInteractiveRuntimeException(java.lang.String message)`
    `JRInteractiveRuntimeException(java.lang.String message, java.lang.Throwable cause)`
    `JRInteractiveRuntimeException(java.lang.Throwable cause)`

  - ### Method Summary

    - ### Methods inherited from class net.sf.jasperreports.engine.JRRuntimeException

      `getArgs, getMessage, getMessageBundleName, getMessageKey, hasLocalizedMessage, resolveMessage`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### JRInteractiveRuntimeException

          public JRInteractiveRuntimeException(java.lang.String message)

    - #### JRInteractiveRuntimeException

          public JRInteractiveRuntimeException(java.lang.String message,
                                       java.lang.Throwable cause)

    - #### JRInteractiveRuntimeException

          public JRInteractiveRuntimeException(java.lang.Throwable cause)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com